SystemOrganization addCategory: #OCLoader!

Object subclass: #OCompletionLoader
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OCLoader'!

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'rr 5/28/2009 10:04'!
hasECOB
	| panel |
	panel := Smalltalk at: #OBDefinitionPanel ifAbsent: [^ false].
	panel ifNil: [^false].
	panel methodDict at: #completionController ifAbsent: [^false].
	^ true! !

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'rr 5/11/2009 21:31'!
hasECompletion
	Smalltalk at: #ECController ifAbsent: [^ false].
	^ true! !

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'rr 5/28/2009 10:02'!
hasOB
	Smalltalk at: #OBBrowser ifAbsent: [^ false].
	^ true! !

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'rr 5/11/2009 21:31'!
hasShout
	Smalltalk at: #PluggableShoutMorph ifAbsent: [^ false].
	^ true! !

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'rr 5/28/2009 10:10'!
initialize
	self installShout.
	self isPharo ifTrue: [self installEcompletionPharo]
				ifFalse: [self installEcompletionSqueak].
	self installOCompletion.
	self installOCompletionOB.! !

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'damiencassou 7/27/2009 10:36'!
installEcompletionPharo
	| p v |
	self hasECompletion 
		ifTrue:  [p := MCPackage named: 'ECompletion'.
				v := p hasWorkingCopy ifTrue: [(p workingCopy currentVersionInfo name findTokens: '.') last asNumber].
				v >= 106 ifTrue: [^self].
				].
	
	Installer squeaksource 
		project: 'eCompletion'; 
		install: (ScriptLoader new getLatestUpdateNumber < 10268 
				ifTrue: ['ECompletion-damiencassou.102.mcz'] 
				ifFalse: ['ECompletion-damiencassou'])! !

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'rr 5/11/2009 23:22'!
installEcompletionSqueak
	self hasECompletion ifFalse: [Installer squeaksource project: 'eCompletion'; install: 'ECompletion-damiencassou.102.mcz']! !

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'rr 5/11/2009 22:54'!
installOCompletion
	Installer squeaksource project: 'OCompletion'; install: 'Ocompletion-rr'! !

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'rr 5/28/2009 10:10'!
installOCompletionOB
	self hasOB ifTrue: [
		self hasECOB ifFalse: [Installer squeaksource project: 'eCompletion'; install: 'ECompletionOmniBrowser'].
		Installer squeaksource project: 'OCompletion'; install: 'OCForOB']! !

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'rr 5/11/2009 22:56'!
installShout
	self hasShout ifFalse: [Installer squeaksource project: 'shout'; install: 'Shout.3.15-tween.70.mcz']! !

!OCompletionLoader class methodsFor: 'as yet unclassified' stamp: 'rr 5/11/2009 23:28'!
isPharo
	^ Smalltalk version beginsWith: 'Pharo'! !
OCompletionLoader initialize!
